﻿$ErrorActionPreference = 'Stop'

$toolsDir       = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$configFilename = 'config.xml'

$url64          = 'https://getonetastic.com/downloadFile&fv=0&file=OnetasticInstaller.x64.exe&agree=1'
$checksum64     = '08ccbc077fb9ca93aa5edab23a4ad2de599f807857a8399e1e466fd4d38242e9'

$packageArgs = @{
    packageName    = $env:ChocolateyPackageName
    fileType       = 'EXE'
    url            = 'https://getonetastic.com/downloadFile&fv=0&file=OnetasticInstaller.x86.exe&agree=1'
    checksum       = '5019D8940F13F69CA0F90F2EBA156A6617152A2A91275EC48D6B47BA9715491E'
    checksumType   = 'SHA256'
    silentArgs     = "/config $(Join-Path -Path $toolsDir -ChildPath $configFilename)"
    validExitCodes = @(0)
}

$arguments = Get-PackageParameters
if ($arguments.ContainsKey("OneNotex64")) {
    Write-Verbose 'Installing the x64 version of Onetastic.'
    Write-Verbose 'You only need to do this IF you are running the x64 version of Microsoft OneNote. This has nothing to with the Operating System!' 
    $packageArgs.url = $url64
    $packageArgs.checksum = $checksum64
}

Install-ChocolateyPackage @packageArgs
